## Overview of Options for the SDBINST Program

You can specify the following options when using the SDBINST program to install or update database software:

Option | Description
-b | -batch | Installation program is used in the background If you specify this option, the installation program terminates with an error if any information is missing If you do not specify this option, the program stops if any information is missing, and prompts you to act.
-component_group <component_group> | <component_group> = Server | Client Component Group Server is the component group Server+Client
-profile <inst_profile> | Installation Profile) You must place any names that contain blanks in double quotation marks.
-package <package_name> | Logical name of the software component (not file name) You must place any names that contain blanks in double quotation marks.
-indep_data <independent_data_path> | Can be specified for an newinstallation only. Otherwise, the system ignores it. You can only change this path after you have completely uninstalled the database software.
-indep_prog <independent-program_path> | Can be specified for a new installation only. Otherwise, the system ignores it. You can only change this path after you have completely uninstalled the database software.
-depend <dependent_path> | Needs to be specified for a new installation only, and only for the all, Server and APO LiveCache installation profiles and the Database Kernel and APO LC APPS (from APO Version 4) or APO COM software components. Otherwise, the system ignores it.
-a <archive_directory> | Directory in which the installation packages are stored
-o | -owner <sdb_user> | UNIX only: Software owner
-g | -group <sdba_group> | UNIX only: Software group (administrator group)
-h|-help | List of possible options and descriptions
-v | -version | Version number of the SDBINST installation program
-l | -list | Displays all possible installation profiles and software components

See also:

Directories